joypads_t Struct Reference

`#include <gbdk-lib/include/gb/gb.h>`

## Data Fields

uint8_t | npads
union {
struct {
uint8_t joy0
uint8_t joy1
uint8_t joy2
uint8_t joy3
} |
uint8_t joypads [4]
}; |
union {
struct {
uint8_t joy0
uint8_t joy1
uint8_t joy2
uint8_t joy3
} |
uint8_t joypads [4]
}; |
union {
struct {
uint8_t joy0
uint8_t joy1
uint8_t joy2
uint8_t joy3
} |
uint8_t joypads [4]
}; |
union {
struct {
uint8_t joy0
uint8_t joy1
uint8_t joy2
uint8_t joy3
} |
uint8_t joypads [4]
}; |

## Detailed Description

Multiplayer joypad structure.

Must be initialized with joypad_init() first then it may be used to poll all avaliable joypads with joypad_ex()

## Field Documentation

## npads

uint8_t joypads_t::npads

## joy0

uint8_t joypads_t::joy0

## joy1

uint8_t joypads_t::joy1

## joy2

uint8_t joypads_t::joy2

## joy3

uint8_t joypads_t::joy3

## joypads

uint8_t joypads_t::joypads[4]

##

union { ... } joypads_t::@4

##

union { ... } joypads_t::@10

##

union { ... } joypads_t::@14

##

union { ... } joypads_t::@18

The documentation for this struct was generated from the following files:

- gbdk-lib/include/gb/gb.h
- gbdk-lib/include/msx/msx.h
- gbdk-lib/include/nes/nes.h
- gbdk-lib/include/sms/sms.h